#include "system.h"

#include "esp_system.h"

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"

void system_sleep(size_t secs)
{
    vTaskDelay((1000 * secs) / portTICK_PERIOD_MS);
}

void reboot()
{
    fflush(stdout);
    esp_restart();
}